python3.4_3.4.3-1ubuntu1~14.04.7_i386.deb


Advertisement

Description

python3.4 - Interactive high-level object-oriented language (version 3.4)

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main i386
Package name python3.4
Package version 3.4.3
Package release 1ubuntu1~14.04.7
Package architecture i386
Package type deb
Installed size 346 B
Download size 173.41 KB
Official Mirror archive.ubuntu.com
Python is a high-level, interactive, object-oriented language. Its 3.4 version
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.

Alternatives

Package Version Architecture Repository
python3.4_3.4.3-1ubuntu1~14.04.7_amd64.deb 3.4.3 amd64 Ubuntu Updates Main
python3.4_3.4.0-2ubuntu1_amd64.deb 3.4.0 amd64 Ubuntu Main
python3.4_3.4.0-2ubuntu1_i386.deb 3.4.0 i386 Ubuntu Main
python3.4 - - -

Requires

Name Value
libpython3.4-stdlib = 3.4.3-1ubuntu1~14.04.7
mime support
python3.4-minimal = 3.4.3-1ubuntu1~14.04.7

Download

Type URL
Binary Package python3.4_3.4.3-1ubuntu1~14.04.7_i386.deb
Source Package python3.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3.4 deb package:
    # sudo apt-get install python3.4

Files

Path
/usr/bin/2to3-3.4
/usr/bin/pdb3.4
/usr/bin/pydoc3.4
/usr/bin/pygettext3.4
/usr/share/applications/python3.4.desktop
/usr/share/doc/python3.4/ACKS.gz
/usr/share/doc/python3.4/NEWS.gz
/usr/share/doc/python3.4/README.Debian
/usr/share/doc/python3.4/README.gz
/usr/share/doc/python3.4/changelog.Debian.gz
/usr/share/doc/python3.4/changelog.gz
/usr/share/doc/python3.4/copyright
/usr/share/lintian/overrides/python3.4
/usr/share/man/man1/2to3-3.4.1.gz
/usr/share/man/man1/pdb3.4.1.gz
/usr/share/man/man1/pydoc3.4.1.gz
/usr/share/man/man1/pygettext3.4.1.gz
/usr/share/man/man1/pysetup3.4.1.gz
/usr/share/menu/python3.4
/usr/share/pixmaps/python3.4.xpm

Changelog

2018-11-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.7) trusty-security; urgency=medium
* SECURITY UPDATE: command injection in shutil module
- debian/patches/CVE-2018-1000802.patch: use subprocess rather than
distutils.spawn in Lib/shutil.py.
- CVE-2018-1000802
* SECURITY UPDATE: DoS via catastrophic backtracking
- debian/patches/CVE-2018-106x.patch: fix expressions in
Lib/difflib.py, Lib/poplib.py. Added tests to
Lib/test/test_difflib.py, Lib/test/test_poplib.py.
- CVE-2018-1060
- CVE-2018-1061
* SECURITY UPDATE: incorrect Expat hash salt initialization
- debian/patches/CVE-2018-14647.patch: call SetHashSalt in
Include/pyexpat.h, Modules/_elementtree.c, Modules/pyexpat.c.
- CVE-2018-14647
2017-11-23 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
python3.4 (3.4.3-1ubuntu1~14.04.6) trusty-security; urgency=medium
* SECURITY UPDATE: integer overflow in the PyBytes_DecodeEscape
function
- debian/patches/CVE-2017-1000158.patch: fix this integer overflow
in Objects/bytesobject.c.
- CVE-2017-1000158
2016-11-16 - Steve Beattie <sbeattie@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.5) trusty-security; urgency=medium
* SECURITY UPDATE: StartTLS stripping attack
- debian/patches/CVE-2016-0772.patch: raise an error when
STARTTLS fails in Lib/smtplib.py.
- CVE-2016-0772
* SECURITY UPDATE: use of HTTP_PROXY flag supplied by attacker in CGI
scripts (aka HTTPOXY attack)
- debian/patches/CVE-2016-1000110.patch: if running as CGI
script, forget HTTP_PROXY in Lib/urllib.py, add test to
Lib/test/test_urllib.py, add documentation.
- CVE-2016-1000110
* SECURITY UPDATE: Integer overflow when handling zipfiles
- debian/patches/CVE-2016-5636-pre.patch: check for negative size in
Modules/zipimport.c
- debian/patches/CVE-2016-5636.patch: check for too large value in
Modules/zipimport.c
- CVE-2016-5636
* SECURITY UPDATE: CRLF injection vulnerability in the
HTTPConnection.putheader
- debian/patches/CVE-2016-5699.patch: disallow newlines in
putheader() arguments when not followed by spaces or tabs in
Lib/httplib.py, add tests in Lib/test/test_httplib.py
- CVE-2016-5699
2016-09-10 - Matthias Klose <doko@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.4) trusty-proposed; urgency=medium
* SRU: LP: #1620754: Fix invalid code in pyhash/siphash24. Issue #28055.
2015-10-14 - Steve Langasek <steve.langasek@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.3) trusty; urgency=medium
* Remove the config file from the package, as there is no handling in
place to deal with this config file on upgrade and it is not appropriate
for inclusion in an urgent SRU.
2015-10-14 - Matthias Klose <doko@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.2) trusty-proposed; urgency=medium
* SRU: LP: #1348954.
* Disable PEP 476 certificate verification, restoring the behaviour to
the same as found in the 3.4.0 release included in 14.04 LTS.
Make the default HTTPS certificate verification setting configurable
using a config file /etc/python3.4/cert-verification.conf.
The config file and the possibility to configure the default behaviour
are removed on upgrades to Ubuntu 15.04 or newer releases.
* Provide some user-friendly advice when `python3 -m venv` fails because the
python3-venv package is not installed (Barry Warsaw).
2015-07-28 - Matthias Klose <doko@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04.1) trusty-proposed; urgency=medium
* Backport issue #23844 from the 3.4 branch, replacing the 512 bit dh key
with a 1024 bit one. Triggered by OpenSSL security update in
trusty-security. LP: #1264554.
* Fix expansion of makefile macros for _sysconfigdata. Issue #24705.
2015-06-17 - Matthias Klose <doko@ubuntu.com>
python3.4 (3.4.3-1ubuntu1~14.04) trusty-proposed; urgency=medium
* SRU: Update Python3 for trusty. LP: #1348954.

See Also

Package Description
qdbus_4.8.5+git192-g085f851+dfsg-2ubuntu4.1_i386.deb Qt 4 D-Bus tool
qemu-common_2.0.0+dfsg-2ubuntu1.44_all.deb dummy transitional package from qemu-common to qemu-keymaps
qemu-keymaps_2.0.0+dfsg-2ubuntu1.44_all.deb QEMU keyboard maps
qemu-kvm_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU Full virtualization
qemu-slof_20140630+dfsg-1ubuntu1~14.04_all.deb Slimline Open Firmware -- QEMU PowerPC version
qemu-system-arm_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (arm)
qemu-system-common_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (common files)
qemu-system-mips_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (mips)
qemu-system-misc_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (miscelaneous)
qemu-system-ppc_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (ppc)
qemu-system-sparc_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (sparc)
qemu-system-x86_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries (x86)
qemu-system_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU full system emulation binaries
qemu-utils_2.0.0+dfsg-2ubuntu1.44_i386.deb QEMU utilities
qmlscene_5.2.1-3ubuntu15.1_i386.deb Qt 5 QML scene viewer
Advertisement
Advertisement